Skip to main content
POST
/
trigger
/
{app}
Post trigger information using your-app-name
import requests

url = "https://{FUSION_HOST.com}/api/templating/trigger/{app}"

payload = {
    "templateTypes": "landing",
    "showInactive": "false",
    "staging": "false"
}
headers = {"Content-Type": "application/x-www-form-urlencoded"}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://{FUSION_HOST.com}/api/templating/trigger/{app}")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("templateTypes=landing&showInactive=false&staging=false")
.asString();
const options = {
method: 'POST',
headers: {'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({templateTypes: 'landing', showInactive: 'false', staging: 'false'})
};

fetch('https://{FUSION_HOST.com}/api/templating/trigger/{app}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION_HOST.com}/api/templating/trigger/{app}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "templateTypes=landing&showInactive=false&staging=false"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION_HOST.com}/api/templating/trigger/{app}"

payload := strings.NewReader("templateTypes=landing&showInactive=false&staging=false")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "application/x-www-form-urlencoded")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST.com}/api/templating/trigger/{app}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "templateTypes=landing&showInactive=false&staging=false",
CURLOPT_HTTPHEADER => [
"Content-Type: application/x-www-form-urlencoded"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request POST \
--url https://{FUSION_HOST.com}/api/templating/trigger/{app} \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data templateTypes=landing \
--data showInactive=false \
--data staging=false
{
  "triggered": {
    "app": "your-app-name",
    "id": "6a163bd4-5098-466c-22aa-40bf68294303",
    "name": "Item-Detail Page",
    "all": true,
    "priority": 10,
    "dirty": true,
    "templateDirty": false,
    "markedForDeletion": false,
    "type": "lan",
    "metadata": {
      "type": "landing"
    },
    "zones": [
      {
        "id": "6a092bd4-5098-466c-94aa-40bf68294303",
        "name": "Results List",
        "type": "result-list",
        "queryProfile": "fusion-query-profile-name",
        "omitFilters": false,
        "dirty": true,
        "neverPublished": true,
        "metadata": {
          "image": "image-id",
          "primary": "primary-metadata-id",
          "secondary": "_text_"
        },
        "inTemplates": [
          "e123f4bc-5e7e-46dd-9be8-71a4f73e511a, 8084969c-bd23-40f7-9acf-c68d6798bec2, 441eb3be-7de6-470a-8141-e416a15c7db1, fb148491-b39e-46d1-af33-44cd964d8ee0"
        ],
        "staging": false,
        "published": false,
        "layout": "grid"
      }
    ],
    "neverPublished": false,
    "published": true,
    "staging": true,
    "dirtyZoneIds": [
      "a3e0e22-9e6a-45h9-a2e7-5hjk72b9a3ea, 5avc1e65-162d-5b8e-92f0-6a962e0f43c5"
    ],
    "startTime": "2024-08-24T14:15:22Z",
    "endTime": "2024-08-24T14:15:22Z",
    "triggers": [
      {
        "exact": true,
        "filters": [
          {
            "inheritable": true,
            "key": "key1",
            "value": "value1"
          }
        ],
        "search": "<string>",
        "urlContext": "<string>",
        "urlPath": "<string>"
      }
    ]
  }
}
This response has no body data.
This response has no body data.
This response has no body data.
This response has no body data.

Path Parameters

app
string
required

The Fusion application name.

Body

application/x-www-form-urlencoded
templateTypes
string[]

The comma-separated list of template types to retrieve. Options include item-detail, landing, and typeahead. The default is landing.

showInactive
boolean
default:false

The legacy parameter that is the same as the staging parameter. This field indicates if the request is set to retrieve published or unpublished (staging) templates. The default of false retrieves published templates. If set to true, the request retrieves unpublished (staging) templates.

staging
boolean
default:false

This field indicates if the request is set to retrieve published or unpublished (staging) templates. The default of false retrieves published templates. If set to true, the request retrieves unpublished (staging) templates.

Response

OK

triggered
templateWithZones · object

Ordered list of zones with associated trigger criteria.